View custom operator list

View the custom operators that can be read in the current workspace. The returned operator ID can be used to view, modify, test run, or delete the operator.

HTTP
GET $CLOUDSIGMA_API_BASE/workflow/v2/custom-operators

Before you call this API

Configure the regional API endpoint and authentication, and select the target workspace.

Request

Shell
curl "$CLOUDSIGMA_API_BASE/workflow/v2/custom-operators?page_size=20&enabled=true" \
  -H "X-API-Key: $CLOUDSIGMA_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"

Request parameters

Successful response

The response returns a custom operator that meets the conditions. When the response contains the next page token, use it as the page_token for the next request; if it is not returned, it means that the reading has been completed.

The response fields are as follows.

In this document, [] after a type denotes an array. In a field path, [] denotes each item in an array; for example, items[].name is the name field of each item in the items array.

JSON
{
  "code": "OK",
  "msg": "OK",
  "data": {
    "items": [
      {
        "id": 123,
        "node_id": "moi:custom.operator:workspace:text_counter",
        "name": "文本计数",
        "identifier": "text_counter",
        "version": "v1",
        "enabled": true
      }
    ],
    "total": 1
  }
}
FieldTypeDescription
codestringOK on success.
msgstringOK on success.
data.items[]arrayCustom operator list.
data.items[].idintegerCustom operator ID, used for subsequent operations.
data.items[].node_idstringOperator ID in the workflow.
data.items[].namestringOperator name.
data.items[].identifierstringOperator ID.
data.items[].descriptionstringOperator description; returned if there is a value.
data.items[].handlerstringProcessing function; returns if there is a value.
data.items[].versionstringOperator version; returned if there is a value.
data.items[].isolation_levelstringIsolation configuration; returned if there is a value.
data.items[].languageintegerImplements the numerical encoding of the language; returns if there is a value.
data.items[].kindintegerNumeric encoding of the operator type; returned if there is a value.
data.items[].source_file_idstringSource file ID; returned when created using a source file.
data.items[].input_schemastringEnter the defined serialization content; return if there is a value.
data.items[].output_schemastringOutput the defined serialized content; return if there is a value.
data.items[].binding_configstringThe serialized content of the binding configuration; returned if there is a value.
data.items[].created_bystringCreator ID; returned if there is a value.
data.items[].updated_bystringLast updater ID; returned if there is a value.
data.items[].created_atintegerCreation timestamp; returned if there is a value.
data.items[].updated_atintegerLast updated timestamp; returned if there is a value.
data.items[].base_node_idstringThe basic operator associated with the built-in binding type; returned when there is a value.
data.items[].base_node_versionstringThe basic operator version associated with the built-in binding type; returned if there is a value.
data.items[].catalog_idintegerThe associated Catalog ID; returned if there is a value.
data.items[].database_idintegerThe associated database ID; returned if there is a value.
data.items[].enabledbooleanWhether the operator is enabled.
data.totalintegerThe total number of items that match the filter conditions.
data.next_page_tokenstringNext page mark; does not return if there is no next page.

Error response

JSON
{
  "code": "ErrParamInvalid",
  "msg": "请求参数无效",
  "data": null
}
FieldTypeDescription
codestringError code.
msgstringReadable error message.
datanull`null` in an error response.

Follow-up operations

Query custom operator details.

Last updated on